ig.module(
	'game.entities.paddle'
)
.requires(
	'impact.entity'
)
.defines(function(){

EntityPaddle = ig.Entity.extend({

	name: 'paddle',
  scores: 0, // TODO: whats this?

	size: {x: 30, y: 120},
	collides: ig.Entity.COLLIDES.FIXED,
	type: ig.Entity.TYPE.A,

	animSheet: new ig.AnimationSheet('media/paddle.png', 30, 120),

	maxVel: {x: 0, y: 400},

	init: function( x, y, settings ) {
		this.parent( x, y, settings );
		this.addAnim( 'idle', 1, [0] );
	}

});

});
